//
//  STSubDataModel.h
//  Kahuna
//
//  Created by Davyd Geyl on 20/08/09.
//  Copyright 2009 Sportstec Ltd. All rights reserved.
//

#import <Foundation/Foundation.h>

@class STSelectionController;

@interface STSubDataModel : NSObject <NSCoding>

- (instancetype)initWithFileWrapper:(NSFileWrapper*)fileWrapper documentURL:(NSURL*)documentURL error:(NSError**)outError;
- (NSFileWrapper*)fileWrapper;

@property (nonatomic, weak) STSelectionController* selectionController;
@property (nonatomic, weak) NSUndoManager* undoManager;
@property (nonatomic, strong) NSData* quickLookImageData;
@property (nonatomic, assign) NSUInteger modelVersion;

@end
