//
//  STTimelineConverter.h
//  Kahuna
//
//  Created by Simon Zhang on 21/07/11.
//  Copyright 2011 Sportstec Ltd. All rights reserved.
//


#import <Foundation/Foundation.h>

@class STTimeline;

@interface STTimelineConverter : NSObject

+ (STTimelineConverter*)converter;

- (NSString*)title;
- (NSString*)extension;

- (NSData*)dataWithTimeline:(STTimeline*)timeline;

- (STTimeline*)timelineWithData:(NSData*)data error:(NSError**)outError;
- (BOOL)addTimelineFromData:(NSData*)data toTimeline:(STTimeline*)timeline error:(NSError**)outError;

@end
