//
//  STTimelineInstanceTag.h
//  Sportstec Gamebreaker
//
//  Created by Davyd Geyl on 1/02/12.
//  Copyright (c) 2012 Sportstec Ltd. All rights reserved.
//

#import <Foundation/Foundation.h>


@class STFill;
@class STTextObject;


@interface STTimelineInstanceTag : NSObject <NSCoding>

@property (nonatomic, readonly) NSUInteger storedHash DEPRECATED_ATTRIBUTE;
@property (nonatomic, readonly) NSString *identifier;
@property (nonatomic, readonly) NSString *JSONStringRepresentation;
@property (nonatomic, strong) STTextObject* codeNameTextObject;
@property (nonatomic, strong) STFill* fill;
@property (nonatomic, strong) NSString* tagGroup;

@property (nonatomic, readonly) NSString* codeName;
@property (nonatomic, readonly) BOOL isReferred;

- (instancetype)initWithCodeNameTextObject:(STTextObject*)textObject fill:(STFill*)fill tagGroup:(NSString*)tagGroup;
- (instancetype)initWithTagName:(NSString*)tagName;
- (instancetype)initWithTagName:(NSString*)tagName tagGroup:(NSString*)tagGroup;
- (instancetype)initWithJSONRepresentation:(NSString *)JSONRepresentation;

@end
