//
//  NSObjectExtensions.h
//  SportsCode
//
//  Created by Martin Redington on 1/18/16.
//  Copyright © 2016 Sportstec Ltd. All rights reserved.
//

#import <Foundation/Foundation.h>

@interface NSObject (STSafePerformSelector)

- (void) st_safePerformSelector:(SEL)selector;

- (void) st_safePerformSelector:(SEL)selector withObject:(id)object;

- (void) st_safePerformSelector:(SEL)selector withObject:(id)anObject withObject:(id)anotherObject;

@end
